#! /usr/bin/ env python3

########################################################################
###     IIIII   M   M   PPPP   OOO  RRRR  TTTTT  AAA  N   N TTTTT    ###
###       I    M M M M  P   P O   O R   R   T    A A  NN  N   T      ###
###       I    M  M  M  PPPP  O   O RRRR    T   AAAAA N N N   T      ###
###       I   M       M P     O   O R  R    T   A   A N  NN   T      ###
###     IIIII M       M P      OOO  R   R   T   A   A N   N   T      ###
########################################################################
### To run:                                                          ###
###     Load this file through sdgui.py to set parameters            ###  
########################################################################
### Command-Line Flags:                                              ###
########################################################################
### TODO:                                                            ###
###     zf - Integrate with sdgui.py                                 ###
########################################################################

########################################################################
### Parameter selection lists: hard code these values                ###
########################################################################
# BJT
# input
class BJT:
    Vbb = ["0.8","1","0.6"]
    Rb = ["42","50","54","67","91"]
    Vcc= ["1","3.3","5","12"]
    Rc = ["1","2","3","4"]

# MOSFET
# input
class MOSFET:
    Vgg = ["0.6","0.8","1","1.2","1.4"]
    Vdd = ["0.8","1","3","5"]
    Rd0_80_8 = ["1","2","3","4","5"]
    Rd0_81_0 = ["10","11","12","13","14"]
    Rd0_81_2 = Rd0_80_8
    Rd0_81_4 = ["1","2","3"]
    Rd1_00_8 = Rd0_80_8
    Rd1_01_0 = ["13","14","15","16","17"]
    Rd1_01_2 = ["3","4","5","6","7"]
    Rd1_01_4 = ["1","2","3","4"]
    Rd3_00_8 = Rd0_80_8
    Rd3_01_0 = ["58","59","60","61","62"]
    Rd3_01_2 = ["19","20","21","22","23"]
    Rd3_01_4 = ["7","8","9","10","11"]
    Rd5_00_8 = Rd0_80_8
    Rd5_01_0 = Rd0_80_8
    Rd5_01_2 = ["36","37","38","39","40"]
    Rd5_01_4 = ["16","17","18","19","20"]
    Rd = Rd0_80_8
'''
# output
VDS = "8"
VGS = "5"
ID = "29"
VRD = "100"
'''

# Diode
# inputs
class Diode:
    R = ["1","2","3","4","5","6","7","8","9","10"]
    Vin = ["0.3","0.5",".9","1.5","3.3","5","10"]
'''
# outputs
VRd = ".09"
VDd = "9.99"
IDd = "0.1"
'''

class Image:
    home = { "BJT" : "img/main_bjt.png", "MOSFET" : "img/main_mosfet.png",
        "Diode" : "img/main_diode.png" }

    BJT = { "off" : "img/bjt_off.png", "on" : "img/bjt_on.png",
            "forwardactive" : "img/bjt_forwardactive.png",
            "saturation" : "img/bjt_saturation.png",
            "reverseactive" : "img/bjt_reverseactive.png",
            "cutoff" : "img/bjt_cutoff.png" }

    MOSFET = { "off" : "img/mosfet_off.png", "on" : "img/mosfet_on.png", 
               "triode" : "img/mosfet_triode.png",
               "saturation" : "img/mosfet_saturation.png",
               "cutoff" : "img/mosfet_cutoff.png" }

    Diode = { "off" : "img/diode_off.png", "on" : "img/diode_on.png", 
              "forwardbias" : "img/diode_forwardbias.png",
              "reversebias" : "img/diode_reversebias.png" }
